
/*
  Determine at compile-time the sizes of various datatypes. This uses symbols
  defined by configure (See configure.in).
  jhrg 10/24/94

  This header is included by all of the DODS DAP library header files which
  make use of the dods_* typedefs. C or C++ files can either include
  config_dap.h, use their own configure script which defines SIZEOF_LONG,
  _INT, _CHAR and _DOUBLE or set these preprocessor symbols themselves in a
  Makefile, etc.

  This used to be part of the config_dap.h header, but including that in the
  DAP library headers introduced problems when the DAP was used in conjunction
  with other libraries. 8/1/2000 jhrg
*/

#ifndef __DODS_DATATYPES__
#define __DODS_DATATYPES__

typedef long dods_int32;
typedef unsigned long dods_uint32;
#define XDR_INT32 xdr_long
#define XDR_UINT32 xdr_u_long

typedef short dods_int16;
typedef unsigned short dods_uint16;
#define XDR_INT16 xdr_short
#define XDR_UINT16 xdr_u_short

typedef unsigned char dods_byte;

typedef double dods_float64;
typedef float dods_float32;		
#define XDR_FLOAT64 xdr_double
#define XDR_FLOAT32 xdr_float

#endif /* __DODS_DATATYPES__ */
